<?php
// Do not delete these lines
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');
if ( post_password_required() ) : ?>
	<p class="nocomment"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'construct' ); ?></p>
	</div>
	<?php return;
endif;
?>
<?php if ( have_comments() ) : ?>
	 <h4 class="small-heading">
		<?php printf( _n( 'Comment (%1$s) ', 'Comments (%1$s)', get_comments_number(), 'construct' ),number_format_i18n( get_comments_number() ), '<em>' . get_the_title() . '</em>' );?>
	</h4>
	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
		<div class="navigation">
			<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'construct' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'construct' ) ); ?></div>
		</div> <!-- .navigation -->
	<?php endif; ?>
	<ul class="comment-tree">
		<?php wp_list_comments('callback=construct_comment'); ?>
	</ul>
	<?php else : // this is displayed if there are no comments so far ?>
		<?php if ('open' == $post->comment_status) : ?>
			<!-- If comments are open, but there are no comments. -->
		<?php else : // comments are closed ?>
			<!-- If comments are closed. -->
			<p class="nocomments"><?php _e( 'Comments are closed.', 'construct' ); ?></p>
		<?php endif; ?>
	<?php endif; ?>

		<?php if ('open' == $post->comment_status) : ?>
			<div class="leave-reply">
				<h3 class="small-heading"><?php comment_form_title( __( 'Leave Reply', 'construct'), __( 'Leave a Reply to %s', 'construct') ); ?></h3>
				<div class="cancel-comment-reply"><?php cancel_comment_reply_link(); ?></div>
				<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
					<p class="bottom20">
						<?php _e('You must be logged in to post a comment', 'construct')?>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>"><?php _e('Click here to login', 'construct')?></a> 
					</p>
				<?php else : ?> 
					<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post">
						<div class="row">
							<?php if ( $user_ID ) : ?>
							<div class="col-sm-12">
								<p class="com_logined_text">
									<?php _e('Logged in as', 'construct')?> 
								<a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo esc_attr($user_identity); ?></a>. 
								<a href="<?php echo wp_logout_url(get_permalink()); ?>"><?php _e('Log out', 'construct')?> &raquo;</a>
								</p>
							</div>
							<?php else : ?>
								<div class="col-sm-6">
									<div class="form-group">
										<input type="text"  name="author" id="author" placeholder="<?php _e('Name', 'construct')?>" title="<?php _e('Name', 'construct')?>" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" <?php if ($req) echo "required"; ?> />
									</div>
								</div>
								<div class="col-sm-6">
									<div class="form-group">
										<input type="email" name="email" id="email"  placeholder="<?php _e('E-mail', 'construct')?>" title="<?php _e('Email', 'construct')?>" value="<?php echo sanitize_email($comment_author_email); ?>" size="22" tabindex="2" <?php if ($req) echo "required"; ?> />
									</div>
								</div>
							<?php endif; ?>
							<div class="col-sm-12">
								<div class="form-group">
									<textarea name="comment" rows="7"  title="<?php _e('Comment', 'construct')?>" placeholder="<?php _e('Comment', 'construct')?>" id="comment" required=""></textarea>
								</div>
							</div>
						</div>
						<div class="form-group">
							<input type="submit" class="button border red"  value="<?php _e('Submit', 'construct')?>">
							<?php comment_id_fields(); ?>
							<?php do_action('comment_form', $post->ID); ?>
						</div>
					</form>
				<?php endif;  ?>
			</div>
		<?php endif;  ?>