<!DOCTYPE html>
<!--[if IE 8]> 	<html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
	<meta charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php if(weblusive_get_option('header_code')) echo  htmlspecialchars_decode(weblusive_get_option('header_code')); ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php if (!is_page_template('under-construction.php')):?>
		<header class="header">
			<?php 
			$topbar_enable =  weblusive_get_option('topbar_enable');
			if ($topbar_enable): $topsidebar = weblusive_get_option('topbar_sidebar_enable'); ?>
			<!-- Header Top Container -->
			<div class="top">
				<div class="container clearfix">
					<div class="row">
						<?php
						$ltopsidebar = weblusive_get_option('topbar_lsidebar_enable');
						$rtopsidebar = weblusive_get_option('topbar_rsidebar_enable');
						?>
						<div class="col-md-6">
							<?php if ($ltopsidebar): ?>
								<?php dynamic_sidebar('Left Topbar sidebar'); ?>
							<?php endif ?>
						</div>
						<div class="col-md-6">
							<?php if ($rtopsidebar): ?>
								<?php dynamic_sidebar('Right Topbar sidebar'); ?>
							<?php endif ?>
						</div>
					</div>
				</div> <!-- end .container -->
			</div>
			<?php endif ?>			
			<?php $disSticky=weblusive_get_option('sticky_menu');?>
			<div class="navigation <?php if ($disSticky) : ?>fixed-top<?php endif; ?>">
				<div class="container clearfix">
					<div class="row">
						<div class="col-md-3">
							<div class="logo">
								<?php 
									$logo = weblusive_get_option('logo'); 
									$logosettings =  weblusive_get_option('logo_setting');
								?>
								<a href="<?php echo home_url('/') ?>" class="logo-holder">
									<?php $logo_size = ''; if($logosettings == 'logo' && !empty($logo)):
						
										?>
										<img src="<?php echo esc_url($logo) ?>" alt="<?php echo get_bloginfo('name')?>" class="img-responsive" id="logo-image" />
									<?php else:?>
										<?php echo get_bloginfo('name') ?>
									<?php endif?>
								</a>
							</div>
						</div>
						<div class="col-md-9">
							<?php
							$enq_button=weblusive_get_option('enq_button');
							$enqlink=weblusive_get_option('enqlink');
							$enqcaption=weblusive_get_option('enqcaption');
							?>
							<?php if($enq_button):?>
								<a href="<?php echo esc_url($enqlink);?>" class="navigation-button"><?php echo esc_attr($enqcaption);?></a>
							<?php endif;?>
							<nav class="main-nav ">
									<?php
										$walker = new Construct_Menu_Walker;
										if (has_nav_menu('primary_nav')):
											$menu = wp_nav_menu(
												array(
													'theme_location' => 'primary_nav',
													'menu' => 'primary_nav',
													'container' => '',
													'depth' => 4,
													'menu_class' => 'list-unstyled',
													'walker' => $walker,
													'echo' => false
												)
											);
											echo ($menu);
										else:
										?>
										<?php endif; ?>
							</nav> <!--Main Nav-->
							<a href="" class="responsive-menu-open"><i class="fa fa-bars"></i></a>
						</div>
					</div>
				</div>
			</div>
		</header>
		<div class="responsive-menu">
			<a href="" class="responsive-menu-close"><i class="ion-android-close"></i></a>
			<nav class="responsive-nav"></nav> <!-- end .responsive-nav -->
		</div> <!-- end .responsive-menu -->
	<?php endif;?>