<?php /** The template for displaying Archive pages. **/
get_header();
$sidebar = weblusive_get_option('sidebar_archive');
$weblusive_sidebar_pos =  weblusive_get_option('sidebar_pos');
if (empty ($sidebar)) $weblusive_sidebar_pos = 'full';

$bgimage=weblusive_get_option('innerheading_background_image');
if($bgimage) {
	$bgimg=$bgimage;
}else{
	$bgimg=get_template_directory_uri() .'/images/inner_bg.jpg' ;
}
?>
<?php if(!((weblusive_get_option('hide_titles') && weblusive_get_option('hide_breadcrumbs')))):?>
<div class="page-title" style="background: url(<?php echo esc_url( $bgimg );?>) no-repeat;">
	<div class="inner">
		<div class="container">
			<?php if (!weblusive_get_option('hide_titles')):?>
			<div class="title">
					<?php printf( __( 'Search Results for: %s', 'construct' ), '<mark>' . get_search_query() . '</mark>' ); ?>
			</div>
			<?php endif; ?>
			<?php if (!weblusive_get_option('hide_breadcrumbs')):?>
				<?php if(class_exists('the_breadcrumb')){ $albc = new the_breadcrumb; } ?>
			<?php endif; ?>
		</div>
	</div>
</div>
<?php endif; ?>
<div class="section  no-padding-bottom">
	<div class="inner">
		<div class="container">
			<div class="row">
			<?php if ($weblusive_sidebar_pos == 'left'):?><div class="col-sm-3 sidebar sidebar-left" ><?php get_sidebar($sidebar); ?></div><?php endif?>
			<div class="<?php if ($weblusive_sidebar_pos == 'full' || empty($sidebar)):?>col-sm-12<?php else:?>col-sm-9<?php endif?> blog-main-content">
				<div class="blog-posts">
				<?php if ( have_posts() ) : ?>
					<?php get_template_part( 'loop', 'search' );?>
				<?php else : ?>
					<div id="post-0" class="blog-post no-results not-found">
						<div class="post-content">
							<h4><?php _e( 'Nothing Found', 'construct' ); ?></h4>
							<div class="entry-content">
								<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'construct' ); ?></p>
							</div><!-- .entry-content -->
						</div>
					</div><!-- #post-0 -->
				<?php endif; ?>
				</div>
					<?php if ( $wp_query->max_num_pages > 1 ): ?>
						<nav class="pagination-right">
							<?php include(construct_PLUGINS . '/wp-pagenavi.php' ); wp_pagenavi(); ?>
						</nav>
					<?php endif?>
			</div>
			<?php if ($weblusive_sidebar_pos == 'right'):?><div class="col-sm-3 sidebar" ><?php get_sidebar($sidebar); ?></div><?php endif?>
			</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>