<?php /** The Template for displaying all single posts. **/

get_header(); 
$get_meta = get_post_custom($post->ID);

$overridepos = isset($get_meta['_weblusive_sidebar_pos']) ? $get_meta['_weblusive_sidebar_pos'] : '';
$overridesidebar = isset($get_meta['_weblusive_sidebar_post']) ? $get_meta['_weblusive_sidebar_post'] : '';

$sidebarPos = (isset($overridepos[0]) && $overridepos[0] == 'default') ?  weblusive_get_option('sidebar_pos') : '';
$sidebar = (isset($overridesidebar[0]) && $overridesidebar[0] == '') ?  weblusive_get_option('sidebar_post') : '';
$nocomments = weblusive_get_option('blog_disable_comments');


$showauthor =weblusive_get_option('blog_show_author') ; 
$nobio = weblusive_get_option('blog_disable_authorbio');
$day = get_the_time('d'); $month = get_the_time('M'); $year = get_the_time('Y');
$format =  get_post_format( $post->ID );
if (empty($format)) $format = 'standard';
if($format=='image'){
	$iconClass="fa-file-image-o";
}elseif($format=='video'){
	$iconClass="fa-file-video-o";
}elseif($format=='gallery'){
	$iconClass='fa-picture-o';
}elseif($format=='audio'){
	$iconClass='fa-file-audio-o';
}elseif($format=='link'){
	$iconClass='fa-link';
}elseif($format=='status'){
	$iconClass='fa-comment-o';
}elseif($format=='quote'){
	$iconClass='fa-quote-left';
}else{
	$iconClass='fa-file-o';
}
	
//get_template_part( 'library/includes/page-head' );
get_template_part( 'inner-header', 'content');
?>
<div class="section  no-padding-bottom">
	<div class="inner">
		<div class="container">
			<div class="row">
				<?php if (!empty($sidebar) && $sidebarPos=='left') :?><div class="col-sm-3 sidebar sidebar-left"><?php dynamic_sidebar($sidebar);?></div><?php endif; ?>
				<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div class="<?php if (empty($sidebar) || $sidebarPos == 'full'):?>col-sm-12<?php else:?>col-sm-9<?php endif?>">
					<div class="blog-posts">
						<div class="blog-post <?php echo esc_attr( $format ); ?>">
							<span class="post-format-icon"><i class="fa <?php echo esc_attr( $iconClass ); ?>"></i></span>
							<?php 
							   $get_meta = get_post_custom($post->ID);
							   $mediatype = isset($get_meta["_blog_mediatype"]) ? $get_meta["_blog_mediatype"][0] : 'image';
							   $videoId = isset($get_meta["_blog_video"]) ? $get_meta["_blog_video"][0] : ''; 
							   $autoplay =  isset($get_meta["_blog_videoap"]) ? $get_meta["_blog_videoap"][0] : '0';
							   $thumbnail = get_the_post_thumbnail($post->ID, 'blog-list-1', array("class"=>"img-responsive blog-post-img"));
						    ?>                   
							<?php if ($format == 'standard' || $format == 'video' || $format == 'image' || $format == 'gallery'):?>   
							<?php if($format == 'standard' || $format == 'image'):
								$noimage = (isset($get_meta['_weblusive_post_head'][0]) && $get_meta['_weblusive_post_head'][0] == 'none') ? true : false;
								?>
								<?php $thumbnail = get_the_post_thumbnail(); if(!empty($thumbnail)) : ?>
									<?php the_post_thumbnail('blog-list-1', array("class"=>"img-responsive blog-post-img")); ?>
								<?php endif?>
							<?php elseif ($format == 'video'):
								global $wp_embed;
								$post_embed = '';
								$video = isset($get_meta["_blog_video"]) ? $get_meta["_blog_video"][0] : ''; 
								$videoself = isset($get_meta["_blog_video_selfhosted"]) ? $get_meta["_blog_video_selfhosted"][0] : ''; 
								if ($video || $videoself): ?>
									<div class="flex-video">
										<?php
											if ($video):
												$post_embed = $wp_embed->run_shortcode('[embed width="848" height="424"]'.$video.'[/embed]'); 
											else:
												$post_embed = $wp_embed->run_shortcode($videoself);
											endif;
											echo html_entity_decode( $post_embed ); 
										?>
									</div>	
								<?php else:?>
									<div class="alert alert-danger fade in">
										<?php _e('Video post format was chosen but no url or embed code provided. Please fix this by providing it.', 'construct') ?>
									</div>
								<?php endif?>
							<?php elseif ($format == 'gallery'):
								$full_image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'full', false); 
								$argsThumb = array(
									'order'          => 'ASC',
									'posts_per_page'  => 99,
									'post_type'      => 'attachment',
									'post_parent'    => $post->ID,
									'post_mime_type' => 'image',
									'post_status'    => null,
									//'exclude' => get_post_thumbnail_id()
								);
								?>
								<div class="flexpost flexslider">
									<ul class="slides">
									<?php 
										$attachments = get_posts($argsThumb);
										if ($attachments) {
											foreach ($attachments as $attachment) {
												$image = wp_get_attachment_url($attachment->ID, 'full', false, false);
												$alt = $attachment->post_excerpt;
												echo '<li><img src="'.$image.'" alt="'.$alt.'" class="img-responsive blog-post-img"></li>';
											}
										}
									?>
									</ul>
								</div>
							<?php endif?>
						<?php else :?>
							
						<?php endif; ?>
							<div class="blog-post-title clearfix">
								<h3><?php the_title()?></h3>
								<?php if(!$showauthor):
								$photo = get_avatar( get_the_author_meta('email') , 38 );
								echo html_entity_decode( $photo );
								endif;?>
							</div>
							<div class="blog-post-content">
								<?php the_content()?>
								<?php $meta = construct_meta($post); echo esc_attr( $meta ); ?>
								<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'construct' ), 'after' => '</div>' ) ); ?>
							</div>
						</div> 
						 <!-- author box -->
						<?php if ($nobio):?>
							<?php 
								$photo2 = get_avatar( get_the_author_meta('email') , 90 );
								$bio = get_the_author_meta('description');
								$website = get_the_author_meta('user_url');
								$name= get_the_author_meta('first_name');
								$lastName=get_the_author_meta('last_name');

							?>
							
						<div class="blog-post-author">
							<a href="<?php echo esc_attr( $website ); ?>"><?php echo html_entity_decode( $photo2 ); ?></a>
							<div class="content">
								<h4 class="small-heading"><?php echo esc_attr( $name.' '.$lastName ); ?></h4>
								<p><?php echo esc_attr( $bio ); ?></p>
							</div>
						</div>              
						<?php endif?>
						<?php if (!$nocomments):?>
							<div class="comments">
								<?php if( 'open' == $post->comment_status) comments_template(); ?>
								<?php $test = false; if ($test) {comment_form();} ?>
							</div>
						<?php endif; ?>
				</div>
			</div>
		<?php endwhile; ?>	
		<?php if (!empty($sidebar) && $sidebarPos=='right') :?><div class="col-sm-3 sidebar"><?php dynamic_sidebar($sidebar);?></div><?php endif; ?>
		</div>
		</div>
	</div>
</div>
<?php get_footer(); ?>